# Class ClearOutputAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.console.actions.ClearOutputAction

All Implemented Interfaces:
  `IAction`

public class ClearOutputAction extends Action
Clears the output in a text console.

Clients may instantiate this class.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from interface IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`ClearOutputAction(ITextViewer viewer)`
Constructs an action to clear the document associated with a text viewer.
`ClearOutputAction(TextConsole ioConsole)`
Constructs a clear output action for an I/O console.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The default implementation of this `IAction` method does nothing.

### Methods inherited from class Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClearOutputAction

public ClearOutputAction(TextConsole ioConsole)
Constructs a clear output action for an I/O console. Clearing an I/O console is performed via API on the `IOConsole`, rather than clearing its document directly.

Parameters:
  `ioConsole` - I/O console the action is associated with
Since:
  3.1

### ClearOutputAction

public ClearOutputAction(ITextViewer viewer)
Constructs an action to clear the document associated with a text viewer.

Parameters:
  `viewer` - viewer whose document this action is associated with

## Method Details

### run

public void run()
Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - How radio buttons are handled
  - How check boxes are handled